<template>
    <AddCreditsModal
        title="Add SMS Credits"
        :items="items"
        :show="show"
        @addCredits="addSMSCredits"
        @close="closeModal"
    />
</template>

<script>
    import shop from '../../mixins/shop.service';
    import pricing from '../../mixins/pricing/pricing.service'
    import AddCreditsModal from '@/components/elements/AddCreditsModal'


    export default {
        name: "AddCredits",
        components: {
            AddCreditsModal
        },
        mixins: [shop, pricing],
        props: ['show'],
        data() {
            return {
                items: [
                    {
                        price: '$5.00',
                        value: 5,
                    },
                    {
                        price: '$10.00',
                        value: 10,
                    },
                    {
                        price: '$50.00',
                        value: 50,
                    },
                    {
                        price: '$100.00',
                        value: 100,
                    },
                    {
                        price: '$500.00',
                        value: 500,
                    },
                ],
            };
        },
        methods: {
            async addSMSCredits(option) {
                const data = await this.smsCredits(option.value)
                if(!data) {
                    this.$notify({
                        type: 'error',
                        title: 'Server error'
                    })
                } else window.open(data)

                this.closeModal()
            },
            closeModal() {
                this.$emit('close')
            }
        },
    };
</script>

<style scoped lang="scss">
    .progress-container-price {
        display: flex;
        align-items: center;
        background: white;
        border-radius: 5px;
        height: 100%;
        padding-left: 5px;
    }

    .pricing-total-value {
        display: flex;
        align-items: center;
        justify-content: space-around;
        width: 100%;
    }

    .sms-value-container {
        display: flex;
        align-items: center;
    }

    .total-revenue-count {
        font-size: 14px;
        color: #4786FF;
        font-weight: 800;
    }

    .total-revenue-text {
        font-size: 14px;
        margin-right: 10px;
        font-weight: 500;

    }
    .add-icon {
        margin-right: 5px;
    }

    .modal-popup-header {
        border-bottom: 1px solid #eeeff0;
    }

    .close-container {
        display: flex;
        justify-content: flex-end;
        .btn {
            margin: 10px 10px 0 0;
        }
    }

    .close-button {
        width: 28px;
        transform: rotate(45deg);
    }

    .popup-header-text {
        font-size: 32px;
        color: #1B2437;
        font-weight: 600;
        text-align: center;
    }

    .modal-popup-body {
        padding: 30px;
        display: flex;
        justify-content: center;
        flex-direction: column;
        align-items: center;

        .blue-btn {
            margin-top: 30px;
        }

        .blue-btn {
            width: fit-content;
        }
    }

    .popup-input-container {
        display: flex;
        align-items: center;
    }
</style>
